curl
Infrastructure
Retrieve metrics
Retrieves metrics related to your Algolia infrastructure, aggregated over a selected time window.
GET
curl
Access to this API is available as part of the Premium or Elevate plans.
You must authenticate requests with the
x-algolia-application-id and x-algolia-api-key headers (using the Monitoring API key).Path Parameters
Metric to report.
For more information about the individual metrics, see the description of the API response.
To include all metrics, use *.
Available options:
avg_build_time, ssd_usage, ram_search_usage, ram_indexing_usage, cpu_usage, * Example:
"*"
Period over which to aggregate the metrics:
minute. Aggregate the last minute. 1 data point per 10 seconds.hour. Aggregate the last hour. 1 data point per minute.day. Aggregate the last day. 1 data point per 10 minutes.week. Aggregate the last week. 1 data point per hour.month. Aggregate the last month. 1 data point per day.
Available options:
minute, hour, day, week, month Example:
"week"
Response
OK
Last modified on March 23, 2026